Attribute VB_Name = "ValidacioSignaturaXAdES"
Public Sub ValidacioSignaturaXAdES()

    'Utilitats
    Set Utils = New PSISClient.Utils

    'Inicialització del client
    Dim proxy As New PSISClient.digitalSignatureService
    proxy.url = "http://psisbeta.catcert.net/psis/catcert-test/dss"
    
    'Composició del missatge
    
    'Creació de l'element amb la signatura XMLDsig
    Dim signatureType As New SignatureObjectType
    signatureType.Any = Utils.XMLFile("c:/psis/xades-signature.dat")
    
    'Creació de l'element amb els paràmetres opcionals a consultar
    Dim optInputs As New OptionalInputs
            
    Dim types7(1) As Long
    types7(0) = ItemsChoiceType7.ItemsChoiceType7_ReturnProcessingDetails
    
    Dim objInputs(1)
    Set objInputs(0) = New ObjectType

    optInputs.Items = objInputs
    optInputs.ItemsElementName = types7

    'Creació del missatge DSS
    Dim request As New PSISClient.VerifyRequest
    request.SignatureObject = signatureType
    request.OptionalInputs = optInputs

    'Visualització de la petició
    Debug.Print Utils.MessageToString(request)
    
    'Execució del servei
    Dim response As PSISClient.VerifyResponse
    Set response = proxy.verify(request)
    
    'visualització de la resposta
    Debug.Print Utils.MessageToString(response)
    
End Sub





